ContextInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.servlet.mbean.ContextInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.servlet.mbean
Class ContextInfo

    java.lang.Object
      org.hyperic.hq.product.servlet.mbean.ContextInfo

All Implemented Interfaces:
  org.hyperic.hq.product.servlet.mbean.ContextInfoMBean

    public final class ContextInfo

extends java.lang.Object
implements org.hyperic.hq.product.servlet.mbean.ContextInfoMBean

Initialize Measurements for the current application. This needs to be loaded on startup.

Constructor Summary
`ContextInfo()`

Method Summary
`int` | `getAvailable()`
`int` | `getAvgTime()`
`int` | `getBytesReceived()`
`int` | `getBytesSent()`
`java.lang.String` | `getContextName()`
`java.lang.String` | `getDocBase()`
`int` | `getErrorCount()`
`int` | `getMaxTime()`
`int` | `getMinTime()`
`int` | `getRequestCount()`
`java.lang.String` | `getResponseTimeLogDir()`
`int` | `getSessionsCreated()`
`int` | `getSessionsDestroyed()`
`long` | `getTotalTime()`
`void` | `setAvailable(int available)`
`void` | `setContextName(java.lang.String contextName)`
`void` | `setDocBase(java.lang.String docBase)`
`void` | `setResponseTimeLogDir(java.lang.String logDir)`
`void` | `setSessionListener(JMXSessionListener sessionListener)`
`void` | `updateCounters(int bytesReceived, int bytesSent, int time, boolean iserror)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextInfo

    public ContextInfo()

Method Detail

### setSessionListener

    public void setSessionListener(JMXSessionListener sessionListener)

### getAvailable

    public int getAvailable()

  Specified by:
    `getAvailable` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### setAvailable

    public void setAvailable(int available)

### getTotalTime

    public long getTotalTime()

  Specified by:
    `getTotalTime` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getMinTime

    public int getMinTime()

  Specified by:
    `getMinTime` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getMaxTime

    public int getMaxTime()

  Specified by:
    `getMaxTime` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getAvgTime

    public int getAvgTime()

  Specified by:
    `getAvgTime` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getBytesSent

    public int getBytesSent()

  Specified by:
    `getBytesSent` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getBytesReceived

    public int getBytesReceived()

  Specified by:
    `getBytesReceived` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getRequestCount

    public int getRequestCount()

  Specified by:
    `getRequestCount` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getErrorCount

    public int getErrorCount()

  Specified by:
    `getErrorCount` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### updateCounters

    public void updateCounters(int bytesReceived,
                               int bytesSent,
                               int time,
                               boolean iserror)

### getSessionsCreated

    public int getSessionsCreated()

  Specified by:
    `getSessionsCreated` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getSessionsDestroyed

    public int getSessionsDestroyed()

  Specified by:
    `getSessionsDestroyed` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getDocBase

    public java.lang.String getDocBase()

  Specified by:
    `getDocBase` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### setContextName

    public void setContextName(java.lang.String contextName)

### setDocBase

    public void setDocBase(java.lang.String docBase)

### getContextName

    public java.lang.String getContextName()

  Specified by:
    `getContextName` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### getResponseTimeLogDir

    public java.lang.String getResponseTimeLogDir()

  Specified by:
    `getResponseTimeLogDir` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

### setResponseTimeLogDir

    public void setResponseTimeLogDir(java.lang.String logDir)

  Specified by:
    `setResponseTimeLogDir` in interface `org.hyperic.hq.product.servlet.mbean.ContextInfoMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.